[EP-tech] upgrade to 3.3.10 broke set_language

Radoslaw Moszczynski r.moszczynski at uw.edu.pl
Sun Aug 19 16:09:05 BST 2012


Hi,

After a recent upgrade to Eprints 3.3.10, the set_language script used to change our
site's language stopped working. When invoked via a URL similar to this one:

   http://<library>/cgi/set_lang?langid=<language ID>

it throws the following error:

   Error. $screen->render should be sub-classed for EPrints::Plugin::Screen::SetLang=HASH(0xbba040cc).

(The hex value in parentheses is variable).


The script was set up according to the instructions here:
http://wiki.eprints.org/w/Translation. We are currently on Ubuntu 12.04,
Apache 2.2.22, and Perl 5.14.2.

Any help with debugging this issue will be very appreciated. I'll be
happy to provide more information about our setup if needed.


Best regards-
 -Radoslaw Moszczynski


More information about the Eprints-tech mailing list